<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c"%><%@
taglib prefix="fn" uri="http://java.sun.com/jsp/jstl/functions"%><c:if test="${empty menuCurrentPage}">
	<c:set var="menuCurrentPage" value="${info.root}" scope="request" />
</c:if>
<c:if test="${not empty menuDepth}">
	<c:set var="menuDepth" value="${menuDepth+1}" scope="request" />
</c:if>
<c:if test="${empty menuDepth}">
	<c:set var="menuDepth" value="1" scope="request" />
</c:if>
<c:if test="${fn:length(menuCurrentPage.children)>0}">
	<nav id="main-navbar" class="navbar navbar-expand-lg navbar-inverse navbar-light ${param.fix?' fixed-top':''}">
		<button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#mainNavBar" aria-controls="mainNavBar" aria-expanded="false" aria-label="Toggle navigation" lang="en">
			<span class="navbar-toggler-icon"></span>
		</button>
		<c:if test="${not empty info.logoRawUrl}"><a class="navbar-brand" href="${info.rootURL}"><img src="${info.logoRawUrl}" alt="${info.globalTitle}"></a></c:if>
		<c:if test="${empty info.logoRawUrl}"><a class="navbar-brand" href="${info.rootURL}">${info.globalTitle}</a></c:if>
		<div class="collapse navbar-collapse" id="mainNavBar">
			<ul class="navbar-nav mr-auto${menuDepth>1?' dropdown-menu':''} ${param.lighttemplate?'justify-content-end':'standard-template'}">
				<c:set var="index" value="1" />
				<c:forEach var="child" items="${menuCurrentPage.children}" varStatus="status">
					<c:if test="${child.visible && not empty child.link}">
						<li	class="nav-item read-${child.readAccess} ${child.visibleChildren?'dropdown ':''}page_${child.name} depth-${menuDepth} index-${status.index}${status.last?' last':''} ${child.selected?contentContext.currentTemplate.selectedClass:''}${child.lastSelected?' last':''} item-${index}">
							<a class="nav-link" ${!child.realContent && info.openExternalLinkAsPopup?'target="blanck"':''} href="${child.link}">
								${child.info.label} <c:if test="${child.selected}"><span class="sr-only">(${i18n.view['global.current-page']})</span></c:if>
							</a>
						</li>
						<c:set var="index" value="${index+1}" />
					</c:if>
				</c:forEach><c:if test="${fn:length(info.languageURLs)>1}"><c:forEach var="lang" items="${info.languageURLs}" varStatus="status">
				<li	class="lang nav-item read-${child.readAccess} ${child.visibleChildren?'dropdown ':''}"><a  class="nav-link" href="${lang.value}">${lang.key}</a></li>
				</c:forEach></c:if>
			</ul>			
		</div>		
	<c:if test="${param.intranet && not empty info.userName}">		
		<a class="profile btn btn-image btn-secondary bg-light border-light" href="${info.pageByName['registration'].url}">
			<span class="avatar"><img src="${info.currentUserAvatarUrl}" alt="avatar" /></span>
			<div class="btn-body"><span class="username text-dark">${info.userLabel}</span></div>	
		</a>
	</c:if><c:if test="${param.search}">		
		<form id="search-form" role="form" class="search navbar-form navbar-right form-inline my-2 my-lg-0">
			<label class="sr-only" for="search-query">${i18n.view['global.search']}</label>
			<div class="input-group  align-middle">
				<input type="hidden" name="webaction" value="search.search">
				<input name="keywords" type="search" id="search-query" placeholder="${i18n.view['global.search']}" title="${i18n.view['global.search']}" /> <span class="input-group-btn">
					<button type="submit" class="btn btn-default" title="${i18n.view['global.search']}">
						<span class="sr-only">${i18n.view['global.search']}</span><i class="fa fa-search" aria-hidden="true"></i>
					</button>
				</span>
			</div>
		</form>		
	</c:if>
	</nav>
</c:if>
<c:set var="menuDepth" value="${menuDepth-1}" scope="request" />
<script>
$(window).scroll(function() {
    $("#header .page-reference img").css("margin-top", Math.round($(this).scrollTop()/1.5)+"px");
    if ($(this).scrollTop()>10) {
		$('#main-navbar').removeClass('navbar-light');
		$('#main-navbar').addClass('fixed-top');
	} else {
		$('#main-navbar').addClass('navbar-light');
		$('#main-navbar').removeClass('fixed-top');
	}
});
</script>